Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global kdevelop_ver 4.3.80

Name:           kdevelop-custom-buildsystem
Version:        1.2.2
Release:        alt1_2
Summary:        Support for custom buildsystem in KDevelop

License:        GPLv2+
URL:            http://kdevelop.org
Source0:        ftp://ftp.kde.org/pub/kde/stable/kdevelop/custom-buildsystem/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires:  kdevplatform-devel >= 1.3.80
BuildRequires:  kde4libs-devel
Requires:       kdevelop >= %{kdevelop_ver}
Source44: import.info

%description
This plugin allows to handle arbitrary custom buildsystems with KDevelop.

It supports setting up commands and arguments to build, configure, clean,
'dist-clean' and install the project, so that KDevelop's actions work as
expected.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
# Validation is not neccessary required since the files are kde internal
desktop-file-validate %{buildroot}/%{_kde4_datadir}/kde4/services/kcm_kdevcustombuildsystem.desktop
desktop-file-validate %{buildroot}/%{_kde4_datadir}/kde4/services/kdevcustombuildsystem.desktop

%files
%doc LICENSE.GPL2 LICENSE.GPL3 README
%{_kde4_libdir}/kde4/kcm_kdevcustombuildsystem.so
%{_kde4_libdir}/kde4/kdevcustombuildsystem.so
%{_kde4_datadir}/kde4/services/kcm_kdevcustombuildsystem.desktop
%{_kde4_datadir}/kde4/services/kdevcustombuildsystem.desktop


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.2-alt1_2
- initial fc import

